﻿using System;
using System.Windows.Browser;
using System.Windows.Media;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using Telerik.Windows;
using Telerik.Windows.Controls;

namespace SilverlightApplication
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
			this.Loaded += new RoutedEventHandler(Page_Loaded);
		}

		void Page_Loaded(object sender, RoutedEventArgs e)
		{
			this.htmlPlaceHolder.HtmlSource = "Please press a button to reload the content.";
		}

		private void LoadGoogle_Clik(object sender, RoutedEventArgs e)
		{
			this.htmlPlaceHolder.SourceUrl = new Uri(@"http://www.google.com", UriKind.RelativeOrAbsolute);
		}

		private void LoadRelativePDF_Click(object sender, RoutedEventArgs e)
		{
			this.htmlPlaceHolder.SourceUrl = new Uri(@"pdfl_sdk901_readme.pdf", UriKind.RelativeOrAbsolute);
		}

		private void LoadAbsolutePDF_Click(object sender, RoutedEventArgs e)
		{
			this.htmlPlaceHolder.SourceUrl = new Uri(@"http://www.adobe.com/devnet/livecycle/articles/lc_pdf_overview_format.pdf", UriKind.RelativeOrAbsolute);
		}
	}
}
